package com.diagbot.client.bean;

import com.diagbot.client.AlgorithmClassify;
import com.diagbot.client.Feature;
import com.diagbot.dto.LisResult;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by fyeman on 2018/1/31.
 */
@Getter
@Setter
public class SearchData {
    private int length = 10;
    private int age_start = 0;
    private int age_end = 200;
    private int age = 0;
    private String sex;
    // 搜索结果的贝叶斯阈值
    private String threshold = "0";

    private String symptom = "";
    private String vital = "";
    private String lis = "";
    private String pacs = "";
    private String diag = "";
    private String past = "";
    private String other = "";
    private List<LisResult> lisArr;
    private Integer disType; //0-普通病（默认不填），1-慢病，2-急诊
    private String scaleName;
    private String indications;

    //特征类别
    private String featureType;
    //特征类别对","进行分割后数据
    private String[] featureTypes;
    //门诊 住院分类
    private String resourceType;
    //模型
    private AlgorithmClassify algorithmClassify[];
    //模型
    private String algorithmClassifyValue;
    //外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
    private String sysCode;

    private Map<String, Map<String, String>> inputs = new HashMap<>(10, 0.8f);


    private List<Feature> symptomFeatureList = new ArrayList<>();
    private List<Feature> vitalFeatureList = new ArrayList<>();
    private List<Feature> lisFeatureList = new ArrayList<>();
    private List<Feature> pacsFeatureList = new ArrayList<>();
    private List<Feature> diagFeatureList = new ArrayList<>();
    private List<Feature> symptompropertyFeatureList = new ArrayList<>();
}
